#!/bin/sh
RD="`head -n 1 conf-release-date`"
RV="`head -n 1 VERSION`"
HOME="`head -n 1 conf-home`"
cat warn-auto.sh
echo 'COMMAND=`basename ${0}`'
echo 'usage() { echo "usage: ${COMMAND} filename" ; exit 1 ; }'
echo 'err() { echo "${COMMAND}: error: ${*}" ; exit 2 ; }'
echo 'if [ -z "${1}" ] ; then'
echo ' usage'
echo 'fi'
echo 'if [ ! -f ${1} ] ; then'
echo ' err "${1} not found"'
echo 'fi'
echo exec 'cat ${1} | sed "s}RELEASEDATE}'${RD}'}g" | sed "s}RELEASEVERSION}'${RV}'}g" | sed "s}HOME}'${HOME}'}g"'
